'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class TicketMessage extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  TicketMessage.init({
    ticketId: DataTypes.INTEGER,
    userId: DataTypes.INTEGER,
    message: DataTypes.TEXT,
    attachments: DataTypes.JSON,
    isInternal: DataTypes.BOOLEAN
  }, {
    sequelize,
    modelName: 'TicketMessage',
  });
  return TicketMessage;
};